//////////////////////////////////////////////////////////////////////////////
//
//  Copyright 2025 by Autodesk, Inc.  All rights reserved.
//
// This computer source code and related instructions and comments 
// are the unpublished confidential and proprietary information of 
// Autodesk, Inc. and are protected under applicable copyright and 
// trade secret law.  They may not be disclosed to, copied or used 
// by any third party without the prior written consent of Autodesk, Inc.
//
//////////////////////////////////////////////////////////////////////////////
#ifndef __STDANSITAPER_H
#define __STDANSITAPER_H

///<summary>This is class AcmTaperStdANSI.</summary>
class STDIMP_DLLSHARE AcmTaperStdANSI : public AcmTaperStd
{
public:
  ACRX_DECLARE_MEMBERS(AcmTaperStdANSI);
  AcmTaperStdANSI();
  virtual ~AcmTaperStdANSI();

  const ACHAR* getDefaultRevClassName() const override;

  //this class is obsolete - do not create any object from that!
  Adesk::Boolean isCompatibleTo(const AcmStandard* pStd) const override
  {
      return Adesk::kFalse;
  }
};

#endif // __STDANSITAPER_H